You are not logged in.

#1 2020-03-26 15:44:33

dlesnoff
Member
Registered: 2020-03-26
Posts: 5

[Solved] PPSSPP package upgrade - breaks vulkan

Dear Arch users,

since a recent system upgrade, the community package ppsspp (a PSP emulator) got upgraded to the version 1.9.4-2 . Prior to this, i used to launch the emulator with ppsspp. Since then, I have to launch it with PPSSPPQt or PPSSPPHeadless (for the headless version).
Along with a change in the name of the command, I can not use the emulator with the Vulkan renderer anymore. PPSSPPQt opens up the emulator with an OpenGL renderer. I have tried to restart it through the menu in the settings of the application, in order to change the renderer. The application stops and does not restart after that. There are no man pages, nor --help, and I do not think there are any options that we can add to the command line to change the renderer.

I have noticed many changes in the PKGBUILD in this last update of the package. Maybe I should modify the PKGBUILD so that it corresponds to my use (vulkan renderer) ?
If something stays unclear or you can not reproduce the problem, be kind, ask me a question.
If you want to know more about my configuration, same thing, just ask.

Thanks for your attention.

Last edited by dlesnoff (Yesterday 21:38:40)

Offline

#2 2020-03-27 14:01:55

xerxes_
Member
Registered: 2018-04-29
Posts: 255

Re: [Solved] PPSSPP package upgrade - breaks vulkan

I don't use this emulator, but tried to search some info/help/changelog/forum about it, but didn't found anything useful.

What is your hardware and drivers (post output of 'lspci -nnk')? Does other vulkan apps work well?

Is there really no output from option -h or -? or --help or run from terminal without any option or with wrong option (Qt or Headless)?

Post PPSSPP config file here in [ code ] tags.

Try to set/force vulkan renderer and start PPSSPP from terminal and see if there are some interesting errors.

Last edited by xerxes_ (2020-03-27 14:02:31)

Offline

#3 2020-03-27 16:07:06

dlesnoff
Member
Registered: 2020-03-26
Posts: 5

Re: [Solved] PPSSPP package upgrade - breaks vulkan

Here is the ouptut of lspci -nnk
https://pastebin.com/WT4fre0a
I got the following error
lspci: Unable to load libkmod resources : error -12
I do not know other applications to test vulkan.

Here is the ppsspp.ini file :
https://pastebin.com/hjXs3Z4m

[General]
FirstRun = False
RunCount = 98
Enable Logging = True
AutoRun = True
Browse = False
IgnoreBadMemAccess = True
CurrentDirectory = /home/topaze/disqueLocal/Games/test/pspemu/ISO/
ShowDebuggerOnLoad = False
CheckForNewVersion = False
Language = en_US
ForceLagSync2 = False
DiscordPresence = False
NumWorkerThreads = 2
AutoLoadSaveState = 0
EnableCheats = False
CwCheatRefreshRate = 77
ScreenshotsAsPNG = False
UseFFV1 = False
DumpFrames = False
DumpAudio = False
SaveLoadResetsAVdumping = False
StateSlot = 0
EnableStateUndo = True
RewindFlipFrequency = 0
GridView1 = True
GridView2 = False
GridView3 = False
ComboMode = 0
ReportingHost = default
AutoSaveSymbolMap = False
CacheFullIsoInRam = False
RemoteISOPort = 0
LastRemoteISOServer = 
LastRemoteISOPort = 0
RemoteISOManualConfig = False
RemoteShareOnStartup = False
RemoteISOSubdir = /
RemoteDebuggerOnStartup = False
InternalScreenRotation = 1
PauseWhenMinimized = False
DumpDecryptedEboots = False
MemStickInserted = True
DumpVideoOutput = False
[CPU]
CPUCore = 1
SeparateSASThread = True
SeparateIOThread = True
IOTimingMethod = 0
FastMemoryAccess = True
FuncReplacements = True
HideSlowWarnings = False
HideStateWarnings = False
PreloadFunctions = False
JitDisableFlags = 0x00000000
CPUSpeed = 0
[Graphics]
EnableCardboard = False
CardboardScreenSize = 50
CardboardXShift = 0
CardboardYShift = 0
ShowFPSCounter = 0
GraphicsBackend = 0 (OPENGL)
FailedGraphicsBackends = 
VulkanDevice = 
RenderingMode = 1
SoftwareRenderer = False
HardwareTransform = True
SoftwareSkinning = True
TextureFiltering = 1
BufferFiltering = 1
InternalResolution = 2
AndroidHwScale = 1
HighQualityDepth = 1
FrameSkip = 0
FrameSkipType = 0
AutoFrameSkip = True
FrameRate = 0
FrameRate2 = -1
FrameSkipUnthrottle = True
AnisotropyLevel = 1
VertexDecCache = False
TextureBackoffCache = True
TextureSecondaryCache = False
FullScreen = True
FullScreenMulti = False
SmallDisplayZoomType = 1
SmallDisplayOffsetX = 0.500000
SmallDisplayOffsetY = 0.500000
SmallDisplayZoomLevel = 2.125000
ImmersiveMode = False
SustainedPerformanceMode = False
ReplaceTextures = True
SaveNewTextures = False
IgnoreTextureFilenames = True
TexScalingLevel = 0
TexScalingType = 0
TexDeposterize = False
VSyncInterval = False
BloomHack = 0
SplineBezierQuality = 1
HardwareTessellation = False
PostShader = FXAA
MemBlockTransferGPU = True
DisableSlowFramebufEffects = True
FragmentTestCache = True
LogFrameDrops = False
DisabledGraphicsBackends = 
[Sound]
Enable = True
AudioBackend = 0
AudioLatency = 1
ExtraAudioBuffering = False
SoundSpeedHack = False
AudioResampler = True
GlobalVolume = 10
AltSpeedVolume = -1
[Control]
HapticFeedback = False
ShowTouchCross = True
ShowTouchCircle = True
ShowTouchSquare = True
ShowTouchTriangle = True
ComboKey0Mapping = 0
ComboKey1Mapping = 0
ComboKey2Mapping = 0
ComboKey3Mapping = 0
ComboKey4Mapping = 0
ShowTouchPause = False
ShowTouchControls = False
DisableDpadDiagonals = False
GamepadOnlyFocused = False
TouchButtonStyle = 1
TouchButtonOpacity = 65
TouchButtonHideSeconds = 20
AutoCenterTouchAnalog = False
ActionButtonSpacing2 = 1.000000
ActionButtonCenterX = 0.912152
ActionButtonCenterY = 0.843750
ActionButtonScale = 1.150000
DPadX = 0.104685
DPadY = 0.625000
DPadScale = 1.150000
ShowTouchDpad = True
DPadSpacing = 1.000000
StartKeyX = 0.584187
StartKeyY = 0.910156
StartKeyScale = 1.150000
ShowTouchStart = True
SelectKeyX = 0.500000
SelectKeyY = 0.910156
SelectKeyScale = 1.150000
ShowTouchSelect = True
UnthrottleKeyX = 0.415813
UnthrottleKeyY = 0.910156
UnthrottleKeyScale = 1.150000
ShowTouchUnthrottle = True
LKeyX = 0.050512
LKeyY = 0.430990
LKeyScale = 1.150000
ShowTouchLTrigger = True
RKeyX = 0.949488
RKeyY = 0.430990
RKeyScale = 1.150000
ShowTouchRTrigger = True
AnalogStickX = 0.104685
AnalogStickY = 0.880208
AnalogStickScale = 1.150000
ShowAnalogStick = True
fcombo0X = 0.601025
fcombo0Y = 0.500000
comboKeyScale0 = 1.150000
ShowComboKey0 = False
fcombo1X = 0.685212
fcombo1Y = 0.500000
comboKeyScale1 = 1.150000
ShowComboKey1 = False
fcombo2X = 0.769400
fcombo2Y = 0.500000
comboKeyScale2 = 1.150000
ShowComboKey2 = False
fcombo3X = 0.601025
fcombo3Y = 0.333333
comboKeyScale3 = 1.150000
ShowComboKey3 = False
fcombo4X = 0.685212
fcombo4Y = 0.333333
comboKeyScale4 = 1.150000
ShowComboKey4 = False
Speed1KeyX = 0.415813
Speed1KeyY = 0.820312
Speed1KeyScale = 1.150000
ShowSpeed1Key = False
Speed2KeyX = 0.500000
Speed2KeyY = 0.820312
Speed2KeyScale = 1.150000
ShowSpeed2Key = False
XInputAnalogSensitivity = 1.000000
AnalogLimiterDeadzone = 0.600000
UseMouse = False
MapMouse = False
ConfineMap = False
MouseSensitivity = 0.100000
MouseSmoothing = 0.900000
RightAnalogStickX = 0.911894
RightAnalogStickY = 0.877005
RightAnalogStickScale = 1.150000
ShowRightAnalogStick = False
[Network]
EnableWlan = False
EnableAdhocServer = False
[SystemParam]
PSPModel = 1
PSPFirmwareVersion = 660
NickName = PPSSPP
proAdhocServer = black-seraph.com
MacAddress = 0b:b3:aa:cc:cf:db
PortOffset = 0
Language = 1
TimeFormat = 1
DateFormat = 1
TimeZone = 0
DayLightSavings = False
ButtonPreference = 1
LockParentalLevel = 0
WlanAdhocChannel = 0
WlanPowerSave = False
EncryptSave = True
SavedataUpgradeVersion = True
[Debugger]
DisasmWindowX = -1
DisasmWindowY = -1
DisasmWindowW = -1
DisasmWindowH = -1
GEWindowX = -1
GEWindowY = -1
GEWindowW = -1
GEWindowH = -1
ConsoleWindowX = -1
ConsoleWindowY = -1
FontWidth = 8
FontHeight = 12
DisplayStatusBar = True
ShowBottomTabTitles = True
ShowDeveloperMenu = False
SkipDeadbeefFilling = False
FuncHashMap = False
[Upgrade]
UpgradeMessage = 
UpgradeVersion = 1.8.0
DismissedVersion = 
[Theme]
ItemStyleFg = 0xffffffff
ItemStyleBg = 0x55000000
ItemFocusedStyleFg = 0xffffffff
ItemFocusedStyleBg = 0xffedc24c
ItemDownStyleFg = 0xffffffff
ItemDownStyleBg = 0xffbd9939
ItemDisabledStyleFg = 0x80eeeeee
ItemDisabledStyleBg = 0x55e0d4af
ItemHighlightedStyleFg = 0xffffffff
ItemHighlightedStyleBg = 0x55bdbb39
ButtonStyleFg = 0xffffffff
ButtonStyleBg = 0x55000000
ButtonFocusedStyleFg = 0xffffffff
ButtonFocusedStyleBg = 0xffedc24c
ButtonDownStyleFg = 0xffffffff
ButtonDownStyleBg = 0xffbd9939
ButtonDisabledStyleFg = 0x80eeeeee
ButtonDisabledStyleBg = 0x55e0d4af
ButtonHighlightedStyleFg = 0xffffffff
ButtonHighlightedStyleBg = 0x55bdbb39
HeaderStyleFg = 0xffffffff
InfoStyleFg = 0xffffffff
InfoStyleBg = 0x00000000
PopupTitleStyleFg = 0xffe3be59
PopupStyleFg = 0xffffffff
PopupStyleBg = 0xff303030
[Recent]
MaxRecent = 30
FileName0 = /home/topaze/disqueLocal/Games/test/pspemu/ISO/TACTICS OGRE Let Us Cling Together [ULUS10565].cso
FileName1 = /home/topaze/disqueLocal/Games/test/CSO/FFIV.CSO
FileName2 = /home/topaze/disqueLocal/Games/test/CSO/SMTP3P.CSO
[Log]
SYSTEMEnabled = True
SYSTEMLevel = 4
BOOTEnabled = True
BOOTLevel = 4
COMMONEnabled = True
COMMONLevel = 4
CPUEnabled = True
CPULevel = 4
FILESYSEnabled = True
FILESYSLevel = 4
G3DEnabled = True
G3DLevel = 4
HLEEnabled = True
HLELevel = 4
JITEnabled = True
JITLevel = 4
LOADEREnabled = True
LOADERLevel = 4
MEEnabled = True
MELevel = 4
MEMMAPEnabled = True
MEMMAPLevel = 4
SASMIXEnabled = True
SASMIXLevel = 4
SAVESTATEEnabled = True
SAVESTATELevel = 4
FRAMEBUFEnabled = True
FRAMEBUFLevel = 4
SCEAUDIOEnabled = True
SCEAUDIOLevel = 4
SCECTRLEnabled = True
SCECTRLLevel = 4
SCEDISPEnabled = True
SCEDISPLevel = 4
SCEFONTEnabled = True
SCEFONTLevel = 4
SCEGEEnabled = True
SCEGELevel = 4
SCEINTCEnabled = True
SCEINTCLevel = 4
SCEIOEnabled = True
SCEIOLevel = 4
SCEKERNELEnabled = True
SCEKERNELLevel = 4
SCEMODULEEnabled = True
SCEMODULELevel = 4
SCENETEnabled = True
SCENETLevel = 4
SCERTCEnabled = True
SCERTCLevel = 4
SCESASEnabled = True
SCESASLevel = 4
SCEUTILEnabled = True
SCEUTILLevel = 4
SCEMISCEnabled = True
SCEMISCLevel = 4

There is a line concerning a vulkan device with nothing after the equal sign.

The two commands available are PPSSPPHeadless and PPSSPPQt which are both wrong options (and uses capital letters which are awful to type).
I tried PPSSPPQt -h ; PPSSPPQT -? and PPSSPP --help without anything special. It just launches the Qt version of PPSSPP.

I will try to force vulkan renderer when I will find the device expected.

Offline

#4 2020-03-27 16:49:55

xerxes_
Member
Registered: 2018-04-29
Posts: 255

Re: [Solved] PPSSPP package upgrade - breaks vulkan

You may post your CPU model, but according lspci you have "Intel Corporation 3rd Gen Core processor Graphics Controller" (probably integrated in CPU) which doesn't support Vulkan. I don't know how you would be able to run Vulkan.

However if I'm wrong, check if you have installed packages: vulkan-icd-loader, vulkan-intel, vulkan-mesa-layer.

Last edited by xerxes_ (2020-03-27 16:51:19)

Offline

#5 2020-03-27 22:55:18

dlesnoff
Member
Registered: 2020-03-26
Posts: 5

Re: [Solved] PPSSPP package upgrade - breaks vulkan

It did work for many months though ! It was written specifically somewhere in the wiki that integrated intel graphics support vulkan since the 3rd generation. But Ivy Bridge Vulkan support is incomplete.
I had installed the two first packages that you mentioned. I installed the third one but no progress.
I add here the output of the console when I change the renderer in the settings of the application. There is a failure that prevents the restart of the application, but that seems to be linked to the discord integration. There might be other useful info in there.
This is the output of :

PPSSPPQt > file.txt 2>&1

https://pastebin.com/r3aYfcnF
EDIT : I checked and yes the wiki mentions vulkan is supported since Sandy bridge (3rd gen).

Last edited by dlesnoff (2020-03-27 23:02:31)

Offline

#6 2020-03-28 11:39:17

xerxes_
Member
Registered: 2018-04-29
Posts: 255

Re: [Solved] PPSSPP package upgrade - breaks vulkan

You may want to install vulkan-tools to see more info about your vulkan support by command 'vulkaninfo' and test with vkcube and vkcubepp.

As for PPSSPPQt I see in console output this:

QtMain.cpp:438: Only GL supported under Qt - switching.
QtMain.cpp:458: Initializing GL graphics context

So try the same with PPSSPPHeadless.

However I see that Vulkan is recognized and successfully initialized, it just don't want to switch to.
And as for Discord: it fail to shutdown because it didn't initialized it; I thing it's nothing important.

Offline

#7 Yesterday 06:21:03

dlesnoff
Member
Registered: 2020-03-26
Posts: 5

Re: [Solved] PPSSPP package upgrade - breaks vulkan

After the quick download of vulkan-tools, I could watch a cube for both commands vkcube and vkcubepp. No problem.
As for PPSSPPHeadless, I do not use that. That is not the same usage at all. Input are specific test files, and I do not even know if there is a simulation of rendering with vulkan possible.

Offline

#8 Yesterday 11:47:47

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 7,818

Re: [Solved] PPSSPP package upgrade - breaks vulkan

Looking at the change log

multiple changes were combined together, a partial list
- changes to solve FS #64567

- the sdl2 version is no longer build

- package now uses systemwide ffmpeg instead of ppsspp-provided one
- package switched to systemwide snappy

Looking at version 1.9.4-1 ppsspp desktop runs ppsspp %f .
content of /usr/bin/ppsspp

#!/bin/sh

cd /opt/ppsspp
exec ./PPSSPPSDL "$@"

dlesnoff, could you post console output of starting ppsspp from 1.9.4-1 to verify you were using the sdl2 version ?

Last edited by Lone_Wolf (Yesterday 11:50:32)


Multi-init booting with apg Openrc and systemd coexisting
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#9 Yesterday 21:34:30

dlesnoff
Member
Registered: 2020-03-26
Posts: 5

Re: [Solved] PPSSPP package upgrade - breaks vulkan

I do not have the 1.9.4-1 version of ppsspp anymore. It is not in the cache so I can not downgrade the package.
Nonetheless, I do remember that I had a PPSSPPSDL binary, so it was the sdl2 version that I used.
So if I understand, I can not use Vulkan until the Qt version implements it ?

I am not sure which renderer is optimal for my hardware. Maybe I should recompile ppsspp myself and compare vulkan and sdl2, with openGL and Qt.
I consider the topic Solved, as I know where the problem is coming from, and the choice of fix is up to me.
Thank you for your help.

Offline

#10 Today 11:11:25

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 7,818

Re: [Solved] PPSSPP package upgrade - breaks vulkan

So if I understand, I can not use Vulkan until the Qt version implements it ?

Looks like that may take  a long time, https://github.com/hrydgard/ppsspp/issues/11628

You could file an archlinux bugreport asking to restore vulkan support by re-adding the sdl2 ppsspp build .


Multi-init booting with apg Openrc and systemd coexisting
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

Board footer

Powered by FluxBB